mia-2dtransformation-to-strain
Prev | Registration, Comparison, and Transformation of 2D images | Next

### mia-2dtransformation-to-strain

#### Sysnopis:

`mia-2dtransformation-to-strain` {-i `io`} {-o `string`} [ `options` ...]

#### Description:

Evaluate the Green strain tensor corresponding to a given 2D transformation for each grid point.

#### Options:

-i, --in-file=(input, required); io

  input transformation. For supported file types see Plugin type: 2dtransform/io

-o, --out-file=(output, required); string

  output Green's strain tensor

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the Green strain tensor from the transformation stored in trans.v and save it to output.v

    mia-2dtransformation-to-strain -i  trans.v  -o output.mt

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dtransform | Home | Registration of series of 2D images